{
  "inbound": [
    {
      "localPort": 10808,
      "protocol": "socks",
      "udpEnabled": true,
      "sniffingEnabled": true
    }
  ],
  "logEnabled": false,
  "loglevel": "warning",
  "index": 0,
  "vmess": [
    {
      "indexId": "4716211008566445419",
      "configVersion": 2,
      "address": "knfc.xmrthnode.com",
      "port": 42031,
      "id": "cff8c477-b388-3ad0-a819-d7c6292ec177",
      "alterId": 0,
      "security": "auto",
      "network": "ws",
      "remarks": "美国631 中继 NF",
      "headerType": "vmess",
      "requestHost": "10.5.96.3",
      "path": "/th",
      "streamSecurity": "",
      "allowInsecure": "False",
      "configType": 1,
      "testResult": "",
      "subid": "",
      "flow": "",
      "sni": "",
      "alpn": []
    },
    {
      "indexId": "4731092029758560716",
      "configVersion": 2,
      "address": "knfc.xmrthnode.com",
      "port": 42024,
      "id": "cff8c477-b388-3ad0-a819-d7c6292ec177",
      "alterId": 0,
      "security": "auto",
      "network": "ws",
      "remarks": "日本624 中继",
      "headerType": "vmess",
      "requestHost": "10.5.96.3",
      "path": "/th",
      "streamSecurity": "",
      "allowInsecure": "False",
      "configType": 1,
      "testResult": "",
      "subid": "",
      "flow": "",
      "sni": "",
      "alpn": []
    }
  ],
  "muxEnabled": true,
  "kcpItem": {
    "mtu": 1350,
    "tti": 50,
    "uplinkCapacity": 12,
    "downlinkCapacity": 100,
    "congestion": false,
    "readBufferSize": 2,
    "writeBufferSize": 2
  },
  "sysProxyType": 1,
  "allowLANConn": true,
  "enableStatistics": true,
  "keepOlderDedupl": false,
  "statisticsFreshRate": 2000,
  "remoteDNS": "",
  "defAllowInsecure": false,
  "subItem": [
    {
      "id": "5503480683921574189",
      "remarks": "remarks",
      "url": "url",
      "enabled": true,
      "userAgent": ""
    }
  ],
  "uiItem": {
    "mainSize": "199, 34",
    "mainLvColWidth": {
      "def": 30,
      "configType": 80,
      "remarks": 337,
      "address": 120,
      "port": 50,
      "security": 90,
      "network": 70,
      "subRemarks": 161,
      "testResult": 112,
      "streamSecurity": 70,
      "todayDown": 70,
      "todayUp": 70,
      "totalDown": 70,
      "totalUp": 70
    }
  },
  "domainStrategy": "IPIfNonMatch",
  "domainMatcher": "linear",
  "routingIndex": 0,
  "routings": [
    {
      "remarks": "绕过大陆(Whitelist)",
      "url": "",
      "rules": [
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": null,
          "domain": [
            "domain:example-example.com",
            "domain:example-example2.com"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "block",
          "ip": null,
          "domain": [
            "geosite:category-ads-all"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": null,
          "domain": [
            "geosite:cn"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": [
            "geoip:private",
            "geoip:cn"
          ],
          "domain": null,
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": "0-65535",
          "inboundTag": null,
          "outboundTag": "proxy",
          "ip": null,
          "domain": null,
          "protocol": null,
          "enabled": true
        }
      ],
      "enabled": true,
      "locked": false,
      "customIcon": null
    },
    {
      "remarks": "黑名单(Blacklist)",
      "url": "",
      "rules": [
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": null,
          "domain": null,
          "protocol": [
            "bittorrent"
          ],
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "block",
          "ip": null,
          "domain": [
            "geosite:category-ads-all"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "proxy",
          "ip": [
            "geoip:telegram"
          ],
          "domain": [
            "geosite:gfw",
            "geosite:greatfire",
            "geosite:tld-!cn"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": "0-65535",
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": null,
          "domain": null,
          "protocol": null,
          "enabled": true
        }
      ],
      "enabled": true,
      "locked": false,
      "customIcon": null
    },
    {
      "remarks": "全局(Global)",
      "url": "",
      "rules": [
        {
          "type": null,
          "port": "0-65535",
          "inboundTag": null,
          "outboundTag": "proxy",
          "ip": null,
          "domain": null,
          "protocol": null,
          "enabled": true
        }
      ],
      "enabled": true,
      "locked": false,
      "customIcon": null
    },
    {
      "remarks": "locked",
      "url": "",
      "rules": [
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "proxy",
          "ip": null,
          "domain": [
            "geosite:google"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "direct",
          "ip": null,
          "domain": [
            "domain:example-example.com",
            "domain:example-example2.com"
          ],
          "protocol": null,
          "enabled": true
        },
        {
          "type": null,
          "port": null,
          "inboundTag": null,
          "outboundTag": "block",
          "ip": null,
          "domain": [
            "geosite:category-ads-all"
          ],
          "protocol": null,
          "enabled": true
        }
      ],
      "enabled": true,
      "locked": true,
      "customIcon": null
    }
  ],
  "enableRoutingAdvanced": false,
  "coreType": 0,
  "ignoreGeoUpdateCore": false,
  "systemProxyExceptions": "",
  "autoUpdateInterval": 0,
  "constItem": {
    "speedTestUrl": "http://cachefly.cachefly.net/10mb.test",
    "speedPingTestUrl": "https://www.google.com/generate_204",
    "defIEProxyExceptions": "localhost;127.*;10.*;172.16.*;172.17.*;172.18.*;172.19.*;172.20.*;172.21.*;172.22.*;172.23.*;172.24.*;172.25.*;172.26.*;172.27.*;172.28.*;172.29.*;172.30.*;172.31.*;192.168.*"
  }
}